package com.shxy.xymanager_common.bean;

import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


/**
 * @ClassName：SysDept
 * @Description： 部门表.
 * @Author： Arno_Fu
 * @CreatTime：11/26/2019 - 8:50 PM
 * @Version V1.0
 */

public class SysDept {

    private static final long serialVersionUID = 1L;

    /**
     * 部门id
     */
    @ApiModelProperty(value="部门id", name="dept_id")
    private Long deptId;

    /**
     * 父部门id
     */
    @ApiModelProperty(value="父部门id", name="parentId")
    private Long parentId;

    /**
     * 祖级列表
     */
    private String ancestors;

    /**
     * 部门名称
     */
    @ApiModelProperty(value="部门名称", name="deptName")
    private String deptName;

    /**
     * 显示顺序
     */
    @ApiModelProperty(value="显示顺序", name="orderNum")
    private Integer orderNum;

    /**
     * 负责人
     */
    private String leader;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 部门状态（0正常 1停用）
     */
    private String status;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @ApiModelProperty(value="删除标志（0代表存在 1代表删除）", name="delFlag")
    private String delFlag;

    /**
     * 创建者
     */
    @ApiModelProperty(value="创建者", name="createBy")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间", name="createTime")
    private Date createTime;

    /**
     * 更新者
     */
    @ApiModelProperty(value="更新者", name="updateBy")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value="更新时间", name="updateTime")
    private Date updateTime;


    /**
     * 父部门名称
     * */

    private String parentName;

    /**
     * 子部门
     * */

    private List<SysDept> children = new ArrayList<SysDept>();




    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getLeader() {
        return leader;
    }

    public void setLeader(String leader) {
        this.leader = leader;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public List<SysDept> getChildren() {
        return children;
    }

    public void setChildren(List<SysDept> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return "SysDept{" +
        ", deptId=" + deptId +
        ", parentId=" + parentId +
        ", ancestors=" + ancestors +
        ", deptName=" + deptName +
        ", orderNum=" + orderNum +
        ", leader=" + leader +
        ", phone=" + phone +
        ", email=" + email +
        ", status=" + status +
        ", delFlag=" + delFlag +
        ", createBy=" + createBy +
        ", createTime=" + createTime +
        ", updateBy=" + updateBy +
        ", updateTime=" + updateTime +
        "}";
    }
}
